Bug 111227 - ntp requires perl, but only on Red Hat Linux
ntp requires perl, but only on Red Hat Linux
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: ntp (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-30 18:17 EST by Need Real Name
Modified: 2007-11-30 17:06 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-29 08:39:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2003-11-30 18:17:09 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.1; Linux)

Description of problem:
Hello Guys !

ntp requires perl to be installed. 
This is only a requirement on Red Hat Linux and I am not aware of this requirement on other Linux distributions.
Your Red Hat Es 3.0 base is large already, can we get an ntp rpm where the ntp-wait perl script is removed or alternatively rewritten in say bash ?

It seems a waste to install Perl and its dependencies, not to mention all the future updates that it can bring with itself.

Thank you:
Frank Kruchio

Version-Release number of selected component (if applicable):
released version

How reproducible:
Always

Steps to Reproduce:
1. rpm -qR ntp
2.
3.
    

Actual Results:  Perl is a requirement

Expected Results:  Perl is not a requirement

Additional info:

The ES 3.0 base contains is about 257 rpm packages.
Do we really need that many ?
Comment 1 Suzanne Hillman 2003-12-02 15:02:03 EST
Internal RFE bug #111381 has been entered - will be considered for
future releases.

Note You need to log in before you can comment on or make changes to this bug.